Bug 4640 - [UPDATE REQUEST] upower 0.99.1
: [UPDATE REQUEST] upower 0.99.1
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-10 18:00 MSK by Eugene Shatokhin
Modified: 2014-11-14 11:30 MSK (History)
2 users (show)

See Also:
RPM Package: upower
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
eugene.shatokhin: published+


Attachments
upower.txt (6.39 KB, text/plain)
2014-11-11 14:32 MSK, FirstLevel
Details
upower-new.txt (4.48 KB, text/plain)
2014-11-11 14:32 MSK, FirstLevel
Details
upower64.txt (4.56 KB, text/plain)
2014-11-11 14:32 MSK, FirstLevel
Details
upower64-new.txt (4.51 KB, text/plain)
2014-11-11 14:32 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eugene Shatokhin 2014-11-10 18:00:02 MSK
Upower was updated to version 0.99.1.
Comment 1 Eugene Shatokhin 2014-11-10 18:06:15 MSK
Advisory: 
Upower was updated to version 0.99.1.
Changes since 0.99.0:
* Free the obtained device list array after use
* doc: Adjust documentation for polkit removal
* self-test: Add missing #include
* Remove polkit tests
* Remove polkit dependency
* openbsd: Expose "capacity" and "energy-full-design" properties
* daemon: Fix possible UpHistoryItem leak on failure
* linux: Simplify list freeing
* linux: Fix small memleak on startup with Logitech devices
* Do not print a critical warning when misusing
* up_device_set_object_path_sync()
* all: Remove IsDocked property
* tools: Remove is-docked from up-tool
* linux: Remove is_docked from the integration test
* lib: Fix API doc for up_client_get_on_battery()
* lib: Hard-code the IsDocked value
* daemon: Deprecate "IsDocked" property
* daemon: Fix shutdown on boot on some machines
* lib: Fix typo in g-i annotation
* Update lid status when updating ac status.
* Create the history directory at runtime
* lib: Fix segfault on getting property when daemon is not running
Besides that, the following post-0.99.1 patches have been applied:
* Fix for fencepost array access error
* Correct check to prevent the display of invalid ASCII codes
* Fix cleanup in up_device_idevice_coldplug/finalize

Build lists:
i586:
https://abf.rosalinux.ru/build_lists/2331417
x86_64:
https://abf.rosalinux.ru/build_lists/2331418
Comment 2 FirstLevel 2014-11-11 13:52:01 MSK
Update - ok
Comment 3 FirstLevel 2014-11-11 14:31:34 MSK
I have updated upower on my laptop HP 6565b and I do not see any problems.
See attachments.
upower.txt - old upower for 32bit
upower-new.txt - new upower for 32bit

upower64.txt - old upower for 64bit
upower64-new.txt - new upower for 64bit
Comment 4 FirstLevel 2014-11-11 14:32:06 MSK
Created attachment 3440 [details]
upower.txt
Comment 5 FirstLevel 2014-11-11 14:32:22 MSK
Created attachment 3441 [details]
upower-new.txt
Comment 6 FirstLevel 2014-11-11 14:32:40 MSK
Created attachment 3442 [details]
upower64.txt
Comment 7 FirstLevel 2014-11-11 14:32:57 MSK
Created attachment 3443 [details]
upower64-new.txt
Comment 8 Vladimir Potapov 2014-11-13 19:46:58 MSK
 upower-0.99.1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2331417/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2331418/x86_64/main/release/

*********************** Advisory **********************
Upower was updated to version 0.99.1
*********************** Changelog *********************
 Free the obtained device list array after use
* doc: Adjust documentation for polkit removal
* self-test: Add missing #include
* Remove polkit tests
* Remove polkit dependency
* openbsd: Expose "capacity" and "energy-full-design" properties
* daemon: Fix possible UpHistoryItem leak on failure
* linux: Simplify list freeing
* linux: Fix small memleak on startup with Logitech devices
* Do not print a critical warning when misusing
* up_device_set_object_path_sync()
* all: Remove IsDocked property
* tools: Remove is-docked from up-tool
* linux: Remove is_docked from the integration test
* lib: Fix API doc for up_client_get_on_battery()
* lib: Hard-code the IsDocked value
* daemon: Deprecate "IsDocked" property
* daemon: Fix shutdown on boot on some machines
* lib: Fix typo in g-i annotation
* Update lid status when updating ac status.
* Create the history directory at runtime
* lib: Fix segfault on getting property when daemon is not running
Besides that, the following post-0.99.1 patches have been applied:
* Fix for fencepost array access error
* Correct check to prevent the display of invalid ASCII codes
* Fix cleanup in up_device_idevice_coldplug/finalize
*************************************************************
QA Verified